Bug 208133 - Problems with 'copy nearest GC root to clipboard'
Problems with 'copy nearest GC root to clipboard'
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Jiri Sedlacek
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-07 15:16 UTC by Jiri Sedlacek
Modified: 2012-09-27 15:22 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2012-02-07 15:16:40 UTC
Implementing #205250 caused several problems:

 - possible data loss, no application should modify system clipboard without an explicit user action
 - discoverability, the user doesn't have any chance to find this feature
 - usability of result
   - the GC root trace doesn't identify concrete instances
   - the data in clipboard are in opposite order than what's displayed in UI

These modifications should be made to fix the abovementioned problems:

 - the feature should be implemented as a user-invokable action in context menu
 - the GC root trace should contain instance numbers
 - the clipboard should order the items the same way as ordered in UI
Comment 1 Jiri Sedlacek 2012-03-14 16:19:51 UTC
Addressed by adding a generic action 'Copy Path From Root' to all HeapWalker treetables.

Fixed by http://hg.netbeans.org/profiler-main/rev/734197a6d88a.
Comment 2 Quality Engineering 2012-03-17 10:40:37 UTC
Integrated into 'main-golden', will be available in build *201203170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/734197a6d88a
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #208133 - Introduced 'Copy Path From Root' action in HeapWalker treetables
Comment 3 Quality Engineering 2012-04-06 10:07:24 UTC
Integrated into 'main-golden', will be available in build *201204060400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ce2a987fdc48
User: Jiri Sedlacek <jis@netbeans.org>
Log: Missing part of #208133 - removed the malicious code


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo